Attribute VB_Name = "MP3Control"
Option Explicit
'====================================================================
'           --------------------------------------------
'            MODULO DE CONTROL PARA LA LIBRERIA MP3.DLL
'           --------------------------------------------
'
'   - Reproduccin de los archivos MP3 en THREADS independientes
'     para mantener en todo momento el control sobre el proceso.
'
'
' Germn Oltra                                           ICQ#11765971
' http:\\goltra.home.ml.org                    <goltra@geocities.com>
'====================================================================

'Tipos definidos
Private Type PlayRecord
    FileName As String
    SeekAtStart As Long
    Owner As Long
    Result As Long
End Type

'Constantes Globales
Public Const FRAME_POS = &H2EE0
Public Const APPLY_POS = &H2EE1
Public Const PLAY_STOP = &H2EE2

'Variables Globales
Public Mp3Info As PlayRecord

'Funciones Importadas de "mp3.dll"
Private Declare Sub mp3gettime Lib "MP3.DLL" (DATA As PlayRecord, Total As Double, PerFrame As Double)
Private Declare Sub mp3play Lib "MP3.DLL" (DATA As PlayRecord)
Private Declare Sub mp3stop Lib "MP3.DLL" ()
Private Declare Sub mp3seek Lib "MP3.DLL" (Position As Integer)

'Funciones Importadas del API
Private Declare Function CreateThread Lib "kernel32" (ByVal Null1 As Long, ByVal Null2 As Long, ByVal StartAddress As Long, Parameter As Any, ByVal Null3 As Long, ThreadId As Long) As Long
'Reproduce el archivo
Private Sub StartSong()
    mp3play Mp3Info
End Sub
'Reproduce el archivo en un thread independiente
Public Sub PlayFile()
    Dim Identifier As Long
    CreateThread 0, 0, AddressOf StartSong, 0, 0, Identifier
End Sub
'Obtiene la duracin del archivo
Public Sub GetTime(Total As Double, PerFrame As Double)
    mp3gettime Mp3Info, Total, PerFrame
End Sub
'Situa la reproduccin en un punto concreto
Public Sub JumpTo(Frame As Integer)
    mp3seek Frame
End Sub
'Para la reproduccin
Public Sub StopFile()
    mp3stop
End Sub

